メインコンテンツへスキップ
POST
/
v1
/
images
/
generations
curl --request POST \ --url https://apiany.ai/v1/images/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "nano-banana", "prompt": "A clean product hero image for an AI API gateway", "size": "1k" } '
{
  "task_id": "task_123",
  "poll_url": "/v1/tasks/task_123",
  "model": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

application/json
model
string
必須
:

"nano-banana"

prompt
string
必須
size
string
:

"1k"

input_images
string<uri>[]
callback_url
string<uri>

レスポンス

タスクを作成しました。

task_id
string
必須
:

"task_123"

status
enum<string>
必須
利用可能なオプション:
pending,
processing
poll_url
string
必須
:

"/v1/tasks/task_123"

model
string